[Overview][Classes][Procedures and functions][Index] | Reference for unit 'DBExtCtrls' (#lcl)

# TDBDateEdit.Reset

Restores the control to its value in the dataset.

## Declaration

Source position: dbextctrls.pp line 53

`protected procedure TDBDateEdit.Reset; override;`

## Description

Reset is a procedure used to restore the control to its value in the dataset. Reset calls the Reset method in DataLink to get the value stored in its Field and to clear the Editing flag. Reset calls the inherited method prior to exit.

## See also

TFieldDataLink |  | Maintains an association between a control, an action, and a field in a linked dataset.
TFieldDataLink.Editing |  | True if the linked field is being edited.
TFieldDataLink.Reset |  | Checks whether the link is active, calls the OnDataChange event handler then sets IsModified to False.